module Main where

import HFANN

fileName :: String
fileName = "xor.ann"

main :: IO ()
main = do
  -- Load an ANN from file 'xor.ann'
  withSavedFann fileName $ \fann -> do
    -- Run the ANN on all possible xor input
    mapM_ (\x -> runFann fann x >>= print) [[-1,-1],[-1,1],[1,-1],[1,1]]

